%define url_ver %(echo %{version}|cut -d. -f1,2)

%global __provides_exclude_from %{_libdir}/caja/extensions-2.0/.*\\.so

Name:           python-caja
Version: 1.24.0
Release: %mkrel 2
Summary:        Python bindings for Caja
License:        GPLv2+ and LGPLv2+
Group:          Development/Python
URL:            https://github.com/mate-desktop/python-caja
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  mate-common
BuildRequires:  libtool
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(libcaja-extension) >= %{version}

%description
This package contains bindings to write Caja extensions with Python.
It allows writing menu, property pages and column providers extensions,
so that Caja' s functionality can be easily extended.

%package -n python3-caja
Summary:        Python bindings for Caja
Group:          Development/Python
%{?python_provide:%python_provide python3-caja}
Obsoletes:      python2-caja < 1.22.0-2
Provides:       caja-python = %{version}-%{release}

%description -n python3-caja
This package contains bindings to write Caja extensions with Python.
It allows writing menu, property pages and column providers extensions,
so that Caja' s functionality can be easily extended.

%prep
%autosetup -p1

# build with python3
sed -i -e '/AM_PATH_PYTHON/s/[0-9]\.[0-9]/%{python3_version}/' configure.ac
sed -i -e '1s@#!/usr/bin.*python[2,3]\?@#!%{__python3}@' $(grep -r -l '#!/usr/bin.*python')

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

# New dir where python extensions get installed. It's not created by make
# install (bgo#638890).
mkdir -p %{buildroot}%{_datadir}/caja-python/extensions

# handle docs in files section
rm -f %{buildroot}%{_docdir}/python-caja/README

%find_lang %{name}

%files -n python3-caja -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%doc %{_docdir}/python-caja/examples/*.py
%{_libdir}/caja/extensions-2.0/libcaja-python.so
%dir %{_datadir}/caja-python/
%dir %{_datadir}/caja-python/extensions/
%{_datadir}/caja/extensions/libcaja-python.caja-extension
%{_libdir}/pkgconfig/caja-python.pc


%changelog
* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1548104
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488750
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Dec 11 2019 kekepower <kekepower> 1.22.1-1.mga8
+ Revision: 1465906
- Remove Patch0
- Update to version 1.22.1

* Tue Sep 17 2019 tv <tv> 1.22.0-3.mga8
+ Revision: 1443090
- rebuild for python-3.8

* Thu Aug 29 2019 wally <wally> 1.22.0-2.mga8
+ Revision: 1435040
- switch to python3
- update URL

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375517
- Update to version 1.22.0

* Wed Dec 26 2018 kekepower <kekepower> 1.20.2-1.mga7
+ Revision: 1345159
- Update to version 1.20.2

* Mon Nov 26 2018 kekepower <kekepower> 1.20.1-1.mga7
+ Revision: 1335537
- Update to version 1.20.1

* Sat Oct 20 2018 daviddavid <daviddavid> 1.20.0-3.mga7
+ Revision: 1322846
- rename python-caja to python2-caja

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1300451
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201527
- Updated to 1.20.0 version

* Sun Oct 29 2017 tarakbumba <tarakbumba> 1.19.0-1.mga7
+ Revision: 1174820
- Update to 1.19.0 version

* Wed Mar 15 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092650
- Update to 1.18.0 version

* Sat Dec 24 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1077051
- new version 1.16.0
- build with gtk3
- disable gtk-doc build

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001548
- Update to 1.14.0 version

* Wed Feb 10 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 953240
- Update to 1.13.0 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898533
-Update to 1.12.0 version

* Sun Oct 11 2015 tarakbumba <tarakbumba> 1.10.0-2.mga6
+ Revision: 889437
- Fix python-caja examples in docdir

* Tue Jun 23 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 839940
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 745468
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 737597
- Update to 1.8.1 version
- Drop unneeded configure.ac.in source
- Use autosetup macro in specfile

* Sat Sep 27 2014 tv <tv> 1.8.0-3.mga5
+ Revision: 728117
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5
+ Revision: 687914
- Mageia 5 Mass Rebuild

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600123
- Updated to version 1.8.0

* Sat Jan 18 2014 tarakbumba <tarakbumba> 1.6.1-1.mga5
+ Revision: 566793
- Update to bugfix relaese:1.6.1
- imported package python-caja

